> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-gold-btg/btg_createrawtransaction.md).

# createrawtransaction - Bitcoin Gold

#### Parameters

`inputs` - json array, required

A json array of json objects

`outputs` - json array, required

The outputs (key-value pairs), where none of the keys are duplicated.

`locktime` - numeric, optional, default=0

Raw locktime. Non-0 value also locktime-activates inputs

`replaceable` - boolean, optional, default=false

Marks this transaction as BIP125 replaceable.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "createrawtransaction",
"params": [[{"txid": "myid", "vout": 0}], [{"data": "00010203"}], null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": null
}
```
